Kapitel 5. Paketmanagement
Zurück | 5.54 task-Pakete | Weiter

## 5.54 task-Pakete

Die Auswahl aus einigen tausend Debian GNU/Linux-Paketen ist gerade für den Einsteiger nicht einfach. Aber auch Profis verlieren in der Masse der Pakete leicht den Überblick. Wer nicht zu jedem Paket die Beschreibung lesen und anhand dieser entscheiden will, ob ein Paket installiert werden soll oder nicht, kann sich in die Hände der Debian-Entwickler begeben und bereits sorgfältig zusammengestellte Paketgruppen installieren. Es stehen mittlerweile eine ganze Reihe solcher `task-`Pakete zur Verfügung. Alle diese Pakete beginnen im Paketnamen mit `task-`, so dass Sie diese beispielsweise in `dselect` leicht heraussuchen (mit der Taste `/`) und installieren können.

`task-`Pakete stehen in verschiedenen Bereichen der Debian GNU/Linux-Distribution zur Verfügung. Anhand des Bereichs und des Namens läßt sich schon der Anwendungsbereich erkennen. Im Bereich `net` befinden sich die Pakete `task-dialup`, `task-dialup-isdn`, `task-gnome-net` und `task-samba`. Alle diese Pakete beinhalten eine Auswahl von nützlichen Paketen im Bereich Netzwerk. Hierzu gehören auch Netzwerkverbindungen über analoge oder digitale Telefonverbindungen (ISDN).

Wenn Sie ein solches Paket installieren, hier zum Beispiel das Paket `task-dialup-isdn`, werden eine ganze Reihe weiterer Pakete ausgewählt und einige andere zur Installation vorgeschlagen. Benutzen Sie hierzu zunächst einmal `dselect`:

    dselect - recursive package listing           mark:+/=/- verbose:v help:?
    EIOM Pri Section  Package      Description
      _* Opt net      task-dialup- Dialup utilities
      _* Opt net      task-dialup  Dialup utilities
      _* Xtr net      isdnutils    ISDN utilities
      _* Xtr net      diald        dial on demand daemon for PPP and SLIP.
      _* Xtr admin    dialdcost    Cost estimation and X Control panel for DI
      _* Opt mail     fetchmail    POP2/3, APOP, IMAP mail gatherer/forwarder
      _* Opt web      junkbuster   The Internet Junkbuster!
      _* Xtr web      wwwoffle     World Wide Web OFFline Explorer
      __ Xtr news     leafnode     NNTP server for small leaf sites
      _* Opt news     inn          News transport system `InterNetNews' by th
      __ Xtr news     cnews        Simple News Server for Usenet news.
      __ Opt non-free diablo       News transport system without reader suppor
      _* Opt net      lftp         Sophisticated command-line FTP/HTTP client
      _* Opt admin    suidmanager  Manage File Permissions
      __ Xtr comm     mgetty       Smart Modem getty replacement
      __ Xtr net      isdnbutton   Start and Stop ISDN connections and display
      __ Opt interpre python-tk    Writing Tk applications with Python (Tkinter
      __ Opt web      htdig        WWW search system for an intranet or small i
      _* Opt news     inewsinn     NNTP client news injector, from InterNetNews
      __ Opt news     innfeed      This is the new INN feeder program `innfeed.

Wenn Sie mit der Auswahl einverstanden sind, übernehmen Sie die Vorgaben einfach mit der Eingabetaste. Sie können aber auch weitere Pakete auswählen; nützlich ist beispielsweise das Paket `isdnbutton`.

Neben der Auswahl dieser `task-`Pakete via `dselect` oder `apt` steht mittlerweile auch ein spezielles Programm zur Verfügung, das sich speziell der `task-`Pakete annimmt: `tasksel`.

### 5.54.1 `tasksel`

Mit dem Programm `tasksel` können Sie auf alle verfügbaren `task`-Pakete zugreifen. Ein `task`-Paket steht dabei jeweils für eine aufgabenbezogene Zusammenstellung von Paketen. Nach dem Start bekommen Sie eine Liste der verfügbaren Pakete angezeigt. Sie können mit den Cursortasten zwischen den Paketen wechseln und mit der Taste RETURN oder SPACE ein Paket zur Installation auswählen. Nochmaliges Drücken der Taste hebt diese Auswahl wieder auf.

Abbildung 5.20. Auswahl von Paketen mit tasksel

Mit der Taste `a` wählen Sie alle verfügbaren Task-Pakete aus, mit der Taste `n` wird die Auswahl für alle bereits ausgewählten Pakete umgekehrt. Über die Taste `i` bekommen Sie weitere Informationen zu dem angewählten Paket; dort werden Ihnen auch die zu diesem Paket gehörenden weiteren Pakete angezeigt. Die Taste `q` beendet das Programm.

### Platzbedarf von Task-Paketen

Die Basisinstallation eines Debian-Systems nimmt circa 120 Megabyte Festplattenplatz in Anspruch, die zusätzlich empfohlenen Standard-Pakete beanspruchen circa 130 Megabyte, dabei werden rund 40 Megabyte Daten aus dem Netz geholt. Dies ergibt in der Summe 290 Megabyte benötigten Festplattenplatz für ein kleines Debian-System.

Wenn Task-Pakete zur weiteren Installation eingesetzt werden sollen, ist es sinnvoll, vorab eine Abschätzung treffen zu können, wie viel Festplattenplatz benötigt wird. Im Folgenden sehen Sie eine Übersicht. Hierbei ist zu beachten, dass es Überschneidungen gibt. Werden zwei oder mehr Task-Pakete installiert, so können die Summen nicht einfach addiert werden.

    Task                              Installed  Download   Space Needed
                                      Size (MB)  Size (MB)  To Install (MB)

    desktop environment                 345        118         463
    X window system                      78         36         114
    games                                49         14          63
    Debian Jr.                          340        124         464
    dialup system                        28          8          36
    laptop system                         3          1           4
    scientific applications             110         30         140

    C and C++                            32         15          47
    Python                              103         30         133
    Tcl/Tk                               37         11          48
    fortran                              10          4          14

    file server                           1          -           1
    mail server                           4          3           7
    usenet news server                    6          2           8
    print server                         48         18          66
    conventional unix server             55         19          74
    web server                            4          1           5

    TeX/LaTeX environment               171         64         235

    simplified Chinese environment       80         29         109
    traditional Chinese environment     166         68         234
    Cyrillic environment                 29         13          42
    French environment                   60         18          78
    German environment                   31          9          40
    Japanese environment                110         53         163
    Korean environment                  178         72         250
    Polish environment                   58         27          85
    Russian environment                  12          6          18
    Spanish environment                  15          4          19

`tasksel` ist sehr nützlich, wenn Sie sich nicht lange Gedanken über jedes einzelne zu installierende Paket machen wollen. Viele Anwender kennen sicher noch eine ähnliche Funktion aus der Installation von Debian 2.1. Dort konnte vor dem ersten Start von `dselect` auch eine solche Vorauswahl getroffen werden. Leider kam man zu einem späteren Zeitpunkt nie wieder an diese Stelle... Dieser Mangel wurde nun mit dem Programm `tasksel` behoben.

`tasksel` kennt auch einige Kommandozeilenoptionen:

    debian:~# tasksel -h
    Unknown option: h
    Usage:
    tasksel install <Task>
    tasksel remove <Task>
    tasksel [Optionen]; Wobei Optionen eine Kombination von Folgendem sind:
            -t, --test          Test-Modus. Nichts ändern
            -r, --required      Installiert Pakete mit der Priorität "required"
            -i, --important     Installiert Pakete mit der Priorität "important"
            -s, --standard      Installiert Pakete mit der Priorität "standard"
            -n, --no-ui         Keine Oberfläche zeigen, nur mit -r oder -i sinnvoll
                --new-install   Installiert einige Tasks automatisch
                --list-tasks    Zeigt Tasks an und verlässt das Programm
                --task-packages Zeigt vorhandene Pakete in einer Task
                --task-desc     Gibt die Beschreibung einer Task aus

Zurück | Nach oben | Weiter
5.53 `debfoster` | Zum Anfang | 5.55 Kernel-Pakete

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).